Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Class OCAColor

    java.lang.Object
      java.awt.Color
          org.apache.fop.util.OCAColor

All Implemented Interfaces:
  java.awt.Paint, java.awt.Transparency, java.io.Serializable

    public class OCAColor

extends java.awt.Color

OCAColor is a single component color representation that is mostly used in AFP documents to represent text foreground color. See also `OCAColorSpace`.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `OCAColor.OCAColorValue`

Field Summary

Fields inherited from class java.awt.Color
`black, BLACK, blue, BLUE, cyan, CYAN, DARK_GRAY, darkGray, gray, GRAY, green, GREEN, LIGHT_GRAY, lightGray, magenta, MAGENTA, orange, ORANGE, pink, PINK, red, RED, white, WHITE, yellow, YELLOW`

Fields inherited from interface java.awt.Transparency
`BITMASK, OPAQUE, TRANSLUCENT`

Constructor Summary
`OCAColor(OCAColor.OCAColorValue oca)`

Method Summary
`float[]` | `getColorComponents(java.awt.color.ColorSpace cspace, float[] compArray)`
`java.awt.color.ColorSpace` | `getColorSpace()`
`int` | `getOCA()`

Methods inherited from class java.awt.Color
`brighter, createContext, darker, decode, equals, getAlpha, getBlue, getColor, getColor, getColor, getColorComponents, getComponents, getComponents, getGreen, getHSBColor, getRed, getRGB, getRGBColorComponents, getRGBComponents, getTransparency, hashCode, HSBtoRGB, RGBtoHSB, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OCAColor

    public OCAColor(OCAColor.OCAColorValue oca)

Method Detail

### getOCA

    public int getOCA()

### getColorSpace

    public java.awt.color.ColorSpace getColorSpace()

  Overrides:
    `getColorSpace` in class `java.awt.Color`

### getColorComponents

    public float[] getColorComponents(java.awt.color.ColorSpace cspace,
                                      float[] compArray)

  Overrides:
    `getColorComponents` in class `java.awt.Color`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.